Performs the Change Service Provider action by shipment ID

post

/custom-actions/changeServiceProvider/shipments/{shipment id}

Request

Path Parameters
Header Parameters
  • An optional header parameter that allows you to process the request asynchronously. Set the request header "Prefer" to "respond-async" for asynchronous processing. For synchronous processing, leave the parameter blank or do not define it.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : type
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Success! A successful POST method returns a 200 status code.
Body ()
Root Schema : changeServiceProviderResponse
Match All
Show Source
Nested Schema : actionResponse
Type: object
Show Source
Nested Schema : changeServiceProviderResponse-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
The Change Service Provider action response for a shipment.
Show Source
Nested Schema : changeServiceProviderResultItem
Type: object
Show Source
Nested Schema : endTime
The end time.
Match All
The end time.
Show Source
Nested Schema : startTime
The start time.
Match All
The start time.
Show Source
Nested Schema : totalActualCost
The total actual cost.
Match All
The total actual cost.
Show Source
Nested Schema : totalWeightedCost
The total weighted cost.
Match All
The total weighted cost.
Show Source
Nested Schema : dateTimeType
Type: object
Show Source
Nested Schema : currencyType
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : errorResponse
Type: object
Show Source

401 Response

Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Body ()
Root Schema : errorResponse
Type: object
Show Source

403 Response

Access to the specified resource has been forbidden.
Body ()
Root Schema : errorResponse
Type: object
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : errorResponse
Type: object
Show Source
Back to Top